# Joplin to mdbook Website Generator
Export your joplin notes into a [mdbook](https://rust-lang.github.io/mdBook/index.html) compatible format for easy website creation.

![Preview](static/preview.png "Preview")


## joplinexport
- Connects to the local Joplin `database.sqlite` file and iterates through all the folders, notes and their individual tags. If the note has the `blog` tag, do the following:
	- Grab the contents of the note, resolve any links to other notes and replace them with the proper HTML path 
	- If the note has images or other resources, resolve and replace the filepath to the resource with the HTML path and then export the resource to the `/content/resources` directory.
	- export the contents of the note to a .md file within the `/content` directory.
- Generates a `SUMMARY.md` file within the `/content` directory with each of the folders and notes that had the `blog` tag.
	- If there is a `Welcome` note with the `blog` tag, it will be placed at the top of the `SUMMARY.md` file before any other folders/notes, this will be the landing page of the website. 

# Settings
- The mdbook configuration files: `config.toml` and `book.toml` are responsible for all the settings for the website. See  for detailed breakdown.









# This project is a fork of [Stavros' notes](https://gitlab.com/stavros/notes/)
## Notable Changes
- Notes and Folders are grabbed based on a whitelist instead of a blacklist
	- Instead of checking if a notebook/note is tagged with "private" and skipping it, checks if the note is tagged with "blog"
- "Welcome" note (Landing Page) can be located anywhere, as long as it has the "blog" tag
- Resources are stored in `\content\resources` instead of `\static`
